version: "2.1"
services:
  ea_sftp:
    image: lscr.io/linuxserver/openssh-server:latest
    container_name: ea_sftp
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Shanghai
      - PUBLIC_KEY=yourpublickey #optional
      - PUBLIC_KEY_FILE=/path/to/file #optional
      - PUBLIC_KEY_DIR=/path/to/directory/containing/_only_/pubkeys #optional
      - PUBLIC_KEY_URL=https://github.com/username.keys #optional
      - SUDO_ACCESS=false #optional
      - PASSWORD_ACCESS=true #optional
      - USER_PASSWORD=eatools1234 #optional
      #- USER_PASSWORD_FILE=/path/to/file #optional
      - USER_NAME=eatools #optional
      - LOG_STDOUT= #optional
    privileged: true
    volumes:
      - ./files:/home/files
      - ./config:/config
    ports:
      - 2222:2222
    restart: always
    networks:
      - ea_net
    
networks:
  ea_net:
    external: true
